Save Consent as a Signed Document for the Specified Application Owner
curl --request POST \
--url https://api.lendflow.com/api/applications/{application_id}/consent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"personal_information_id": 1,
"consent_template_id": 1,
"consents": [
[]
],
"signed_at": "2025-04-08 14:27:15"
}
'import requests
url = "https://api.lendflow.com/api/applications/{application_id}/consent"
payload = {
"personal_information_id": 1,
"consent_template_id": 1,
"consents": [[]],
"signed_at": "2025-04-08 14:27:15"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
personal_information_id: 1,
consent_template_id: 1,
consents: [[]],
signed_at: '2025-04-08 14:27:15'
})
};
fetch('https://api.lendflow.com/api/applications/{application_id}/consent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "6f96ebfd-8a42-4b66-88c4-75ba61335dab",
"checked_date": "2025-04-08 14:27:15"
},
{
"id": "c1eb58f0-7d29-4013-a40c-7af6f7b0a5d7",
"checked_date": "2025-04-08 14:27:15"
},
{
"id": "480ec268-1ff8-445c-915f-ee22cf43fa78",
"checked_date": null
}
]
}Workflow Management
Save Consent as a Signed Document for the Specified Application Owner
POST
/
api
/
applications
/
{application_id}
/
consent
Save Consent as a Signed Document for the Specified Application Owner
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Path Parameters
The ID of the application.
Body
application/json
The ID of the business owner giving consent. Defaults to the primary owner.
Example:
1
The ID of the consent template the consents belong to. Must match an existing stored value.
Example:
1
Every consent on the template, with its checked state.
Show child attributes
Show child attributes
Example:
[[]]
When the consent was signed. Defaults to the current time. Must be a valid date.
Example:
"2025-04-08 14:27:15"
Response
201 - application/json
Show child attributes
Show child attributes
Example:
[
{
"id": "6f96ebfd-8a42-4b66-88c4-75ba61335dab",
"checked_date": "2025-04-08 14:27:15"
},
{
"id": "c1eb58f0-7d29-4013-a40c-7af6f7b0a5d7",
"checked_date": "2025-04-08 14:27:15"
},
{
"id": "480ec268-1ff8-445c-915f-ee22cf43fa78",
"checked_date": null
}
]
Was this page helpful?